# Uses of Interface
java.util.zip.Checksum

Packages that use Checksum
Package
Description
java.util.zip
Provides classes for reading and writing the standard ZIP and GZIP file formats.

## Uses of Checksum in java.util.zip

Classes in java.util.zip that implement Checksum
Modifier and Type
Class
Description
`class`
`Adler32`
A class that can be used to compute the Adler-32 checksum of a data stream.
`class`
`CRC32`
A class that can be used to compute the CRC-32 of a data stream.
`final class`
`CRC32C`
A class that can be used to compute the CRC-32C of a data stream.
Methods in java.util.zip that return Checksum
Modifier and Type
Method
Description
`Checksum`
CheckedInputStream.`getChecksum()`
Returns the Checksum for this input stream.
`Checksum`
CheckedOutputStream.`getChecksum()`
Returns the Checksum for this output stream.
Constructors in java.util.zip with parameters of type Checksum
Modifier
Constructor
Description
``
`CheckedInputStream(InputStream in, Checksum cksum)`
Creates an input stream using the specified Checksum.
``
`CheckedOutputStream(OutputStream out, Checksum cksum)`
Creates an output stream with the specified Checksum.